kind: Deployment
apiVersion: apps/v1
metadata:
  annotations:
    alpha.image.policy.openshift.io/resolve-names: '*'
    app.openshift.io/route-disabled: 'false'
    app.openshift.io/vcs-ref: ''
    app.openshift.io/vcs-uri: 'http://gitea.reymota.es/creylopez/JugarAlPadelOC.git'
    deployment.kubernetes.io/revision: '3'
    openshift.io/generated-by: OpenShiftWebConsole
    image.openshift.io/triggers: >-
      [{"from":{"kind":"ImageStreamTag","name":"jugar-al-padel-oc-git:latest","namespace":"jugaralpadel"},"fieldPath":"spec.template.spec.containers[?(@.name==\"jugar-al-padel-oc-git\")].image","paused":"false"}]
  resourceVersion: '8774963'
  name: jugar-al-padel-oc-git
  uid: b66ba6a9-cb6e-4a8e-ada6-b26843556f75
  creationTimestamp: '2025-01-10T18:12:34Z'
  generation: 3
  managedFields:
    - manager: Mozilla
      operation: Update
      apiVersion: apps/v1
      time: '2025-01-11T08:52:27Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            .: {}
            'f:alpha.image.policy.openshift.io/resolve-names': {}
            'f:app.openshift.io/route-disabled': {}
            'f:app.openshift.io/vcs-ref': {}
            'f:app.openshift.io/vcs-uri': {}
            'f:image.openshift.io/triggers': {}
            'f:openshift.io/generated-by': {}
          'f:labels':
            .: {}
            'f:app': {}
            'f:app.kubernetes.io/component': {}
            'f:app.kubernetes.io/instance': {}
            'f:app.kubernetes.io/name': {}
            'f:app.kubernetes.io/part-of': {}
        'f:spec':
          'f:progressDeadlineSeconds': {}
          'f:replicas': {}
          'f:revisionHistoryLimit': {}
          'f:selector': {}
          'f:strategy':
            'f:rollingUpdate':
              .: {}
              'f:maxSurge': {}
              'f:maxUnavailable': {}
            'f:type': {}
          'f:template':
            'f:metadata':
              'f:annotations':
                .: {}
                'f:openshift.openshift.io/restartedAt': {}
              'f:labels':
                .: {}
                'f:app': {}
                'f:deployment': {}
            'f:spec':
              'f:containers':
                'k:{"name":"jugar-al-padel-oc-git"}':
                  .: {}
                  'f:env':
                    'k:{"name":"SQL_USER"}':
                      .: {}
                      'f:name': {}
                      'f:valueFrom':
                        .: {}
                        'f:configMapKeyRef': {}
                    'k:{"name":"DEBUG"}':
                      .: {}
                      'f:name': {}
                      'f:valueFrom':
                        .: {}
                        'f:configMapKeyRef': {}
                    .: {}
                    'k:{"name":"CSRF_TRUSTED_ORIGINS"}':
                      .: {}
                      'f:name': {}
                      'f:valueFrom':
                        .: {}
                        'f:configMapKeyRef': {}
                    'k:{"name":"SQL_DATABASE"}':
                      .: {}
                      'f:name': {}
                      'f:valueFrom':
                        .: {}
                        'f:configMapKeyRef': {}
                    'k:{"name":"SQL_PASSWORD"}':
                      .: {}
                      'f:name': {}
                      'f:valueFrom':
                        .: {}
                        'f:configMapKeyRef': {}
                    'k:{"name":"DJANGO_ALLOWED_HOSTS"}':
                      .: {}
                      'f:name': {}
                      'f:valueFrom':
                        .: {}
                        'f:configMapKeyRef': {}
                    'k:{"name":"SQL_PORT"}':
                      .: {}
                      'f:name': {}
                      'f:valueFrom':
                        .: {}
                        'f:configMapKeyRef': {}
                    'k:{"name":"SQL_ENGINE"}':
                      .: {}
                      'f:name': {}
                      'f:valueFrom':
                        .: {}
                        'f:configMapKeyRef': {}
                    'k:{"name":"SQL_HOST"}':
                      .: {}
                      'f:name': {}
                      'f:valueFrom':
                        .: {}
                        'f:configMapKeyRef': {}
                    'k:{"name":"DATABASE"}':
                      .: {}
                      'f:name': {}
                      'f:valueFrom':
                        .: {}
                        'f:configMapKeyRef': {}
                  'f:image': {}
                  'f:imagePullPolicy': {}
                  'f:name': {}
                  'f:resources': {}
                  'f:terminationMessagePath': {}
                  'f:terminationMessagePolicy': {}
              'f:dnsPolicy': {}
              'f:restartPolicy': {}
              'f:schedulerName': {}
              'f:securityContext': {}
              'f:terminationGracePeriodSeconds': {}
    - manager: kube-controller-manager
      operation: Update
      apiVersion: apps/v1
      time: '2025-01-11T08:52:28Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            'f:deployment.kubernetes.io/revision': {}
        'f:status':
          'f:conditions':
            .: {}
            'k:{"type":"Available"}':
              .: {}
              'f:lastTransitionTime': {}
              'f:lastUpdateTime': {}
              'f:message': {}
              'f:reason': {}
              'f:status': {}
              'f:type': {}
            'k:{"type":"Progressing"}':
              .: {}
              'f:lastTransitionTime': {}
              'f:lastUpdateTime': {}
              'f:message': {}
              'f:reason': {}
              'f:status': {}
              'f:type': {}
          'f:observedGeneration': {}
          'f:replicas': {}
          'f:unavailableReplicas': {}
          'f:updatedReplicas': {}
      subresource: status
  namespace: jugaralpadel
  labels:
    app: jugar-al-padel-oc-git
    app.kubernetes.io/component: jugar-al-padel-oc-git
    app.kubernetes.io/instance: jugar-al-padel-oc-git
    app.kubernetes.io/name: jugar-al-padel-oc-git
    app.kubernetes.io/part-of: jugar-al-padel-oc-git-app
spec:
  replicas: 1
  selector:
    matchLabels:
      app: jugar-al-padel-oc-git
  template:
    metadata:
      creationTimestamp: null
      labels:
        app: jugar-al-padel-oc-git
        deployment: jugar-al-padel-oc-git
      annotations:
        openshift.openshift.io/restartedAt: '2025-01-11T08:52:27.178Z'
    spec:
      containers:
        - name: jugar-al-padel-oc-git
          image: >-
            image-registry.openshift-image-registry.svc:5000/jugaralpadel/jugar-al-padel-oc-git@sha256:6e3483f13e9f507803385db57ab655d6cb809320f1651968b1a47931a9be2e22
          env:
            - name: DEBUG
              valueFrom:
                configMapKeyRef:
                  name: env-prod
                  key: DEBUG
            - name: DJANGO_ALLOWED_HOSTS
              valueFrom:
                configMapKeyRef:
                  name: env-prod
                  key: DJANGO_ALLOWED_HOSTS
            - name: CSRF_TRUSTED_ORIGINS
              valueFrom:
                configMapKeyRef:
                  name: env-prod
                  key: CSRF_TRUSTED_ORIGINS
            - name: DATABASE
              valueFrom:
                configMapKeyRef:
                  name: env-prod
                  key: DATABASE
            - name: SQL_HOST
              valueFrom:
                configMapKeyRef:
                  name: env-prod
                  key: SQL_HOST
            - name: SQL_PORT
              valueFrom:
                configMapKeyRef:
                  name: env-prod
                  key: SQL_PORT
            - name: SQL_ENGINE
              valueFrom:
                configMapKeyRef:
                  name: env-prod
                  key: SQL_ENGINE
            - name: SQL_DATABASE
              valueFrom:
                configMapKeyRef:
                  name: env-prod
                  key: SQL_DATABASE
            - name: SQL_USER
              valueFrom:
                configMapKeyRef:
                  name: env-prod
                  key: SQL_USER
            - name: SQL_PASSWORD
              valueFrom:
                configMapKeyRef:
                  name: env-prod
                  key: SQL_PASSWORD
          resources: {}
          terminationMessagePath: /dev/termination-log
          terminationMessagePolicy: File
          imagePullPolicy: Always
      restartPolicy: Always
      terminationGracePeriodSeconds: 30
      dnsPolicy: ClusterFirst
      securityContext: {}
      schedulerName: default-scheduler
      imagePullSecrets: []
  strategy:
    type: RollingUpdate
    rollingUpdate:
      maxSurge: 25%
      maxUnavailable: 25%
  revisionHistoryLimit: 10
  progressDeadlineSeconds: 600
  paused: false
status:
  observedGeneration: 3
  replicas: 1
  updatedReplicas: 1
  unavailableReplicas: 1
  conditions:
    - type: Progressing
      status: 'True'
      lastUpdateTime: '2025-01-11T08:52:28Z'
      lastTransitionTime: '2025-01-10T18:12:34Z'
      reason: NewReplicaSetAvailable
      message: >-
        ReplicaSet "jugar-al-padel-oc-git-7bc989c94d" has successfully
        progressed.
    - type: Available
      status: 'False'
      lastUpdateTime: '2025-01-11T08:52:28Z'
      lastTransitionTime: '2025-01-11T08:52:28Z'
      reason: MinimumReplicasUnavailable
      message: Deployment does not have minimum availability.
